Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.BZip2.BZip2InputStream Class Reference

An input stream that decompresses files in the BZip2 format. More...

Inheritance diagram for ICSharpCode.SharpZipLib.BZip2.BZip2InputStream:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.BZip2.BZip2InputStream:
[legend]

## Public Member Functions
| BZip2InputStream (Stream stream)
| Construct instance for reading from stream.
override void | Flush ()
| Flushes the stream.
override long | Seek (long offset, SeekOrigin origin)
| Set the streams position. This operation is not supported and will throw a NotSupportedException.
override void | SetLength (long value)
| Sets the length of this stream to the given value. This operation is not supported and will throw a NotSupportedExceptionortedException.
override void | Write (byte[] buffer, int offset, int count)
| Writes a block of bytes to this stream using data from a buffer. This operation is not supported and will throw a NotSupportedException.
override void | WriteByte (byte value)
| Writes a byte to the current position in the file stream. This operation is not supported and will throw a NotSupportedException.
override int | Read (byte[] buffer, int offset, int count)
| Read a sequence of bytes and advances the read position by one byte.
override void | Close ()
| Closes the stream, releasing any associated resources.
override int | ReadByte ()
| Read a byte from stream advancing position.

## Properties
bool | IsStreamOwner`[get, set]`
| Get/set flag indicating ownership of underlying stream. When the flag is true Close will close the underlying stream also.
override bool | CanRead`[get]`
| Gets a value indicating if the stream supports reading.
override bool | CanSeek`[get]`
| Gets a value indicating whether the current stream supports seeking.
override bool | CanWrite`[get]`
| Gets a value indicating whether the current stream supports writing. This property always returns false.
override long | Length`[get]`
| Gets the length in bytes of the stream.
override long | Position`[get, set]`
| Gets or sets the streams position. Setting the position is not supported and will throw a NotSupportException.

## Private Member Functions
void | MakeMaps ()
void | Initialize ()
void | InitBlock ()
void | EndBlock ()
void | Complete ()
void | BsSetStream (Stream stream)
void | FillBuffer ()
int | BsR (int n)
char | BsGetUChar ()
int | BsGetIntVS (int numBits)
int | BsGetInt32 ()
void | RecvDecodingTables ()
void | GetAndMoveToFrontDecode ()
void | SetupBlock ()
void | SetupRandPartA ()
void | SetupNoRandPartA ()
void | SetupRandPartB ()
void | SetupRandPartC ()
void | SetupNoRandPartB ()
void | SetupNoRandPartC ()
void | SetDecompressStructureSizes (int newSize100k)

## Static Private Member Functions
static void | CompressedStreamEOF ()
static void | BlockOverrun ()
static void | BadBlockHeader ()
static void | CrcError ()
static void | HbCreateDecodeTables (int[] limit, int[] baseArray, int[] perm, char[] length, int minLen, int maxLen, int alphaSize)

## Private Attributes
int | last
int | origPtr
int | blockSize100k
bool | blockRandomised
int | bsBuff
int | bsLive
IChecksum | mCrc = new StrangeCRC()
bool[] | inUse = new bool[256]
int | nInUse
byte[] | seqToUnseq = new byte[256]
byte[] | unseqToSeq = new byte[256]
byte[] | selector = new byte[BZip2Constants.MaximumSelectors]
byte[] | selectorMtf = new byte[BZip2Constants.MaximumSelectors]
int[] | tt
byte[] | ll8
int[] | unzftab = new int[256]
int[][] | limit = new int[BZip2Constants.GroupCount][]
int[][] | baseArray = new int[BZip2Constants.GroupCount][]
int[][] | perm = new int[BZip2Constants.GroupCount][]
int[] | minLens = new int[BZip2Constants.GroupCount]
Stream | baseStream
bool | streamEnd
int | currentChar = -1
int | currentState = START_BLOCK_STATE
int | storedBlockCRC
int | storedCombinedCRC
int | computedBlockCRC
uint | computedCombinedCRC
int | count
int | chPrev
int | ch2
int | tPos
int | rNToGo
int | rTPos
int | i2
int | j2
byte | z
bool | isStreamOwner = true

## Static Private Attributes
const int | START_BLOCK_STATE = 1
const int | RAND_PART_A_STATE = 2
const int | RAND_PART_B_STATE = 3
const int | RAND_PART_C_STATE = 4
const int | NO_RAND_PART_A_STATE = 5
const int | NO_RAND_PART_B_STATE = 6
const int | NO_RAND_PART_C_STATE = 7

## Detailed Description

An input stream that decompresses files in the BZip2 format.

## Constructor & Destructor Documentation

## ◆ BZip2InputStream()

ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.BZip2InputStream | ( | Stream | stream | ) |

Construct instance for reading from stream.

Parameters

  stream | Data source

Here is the call graph for this function:

## Member Function Documentation

## ◆ BadBlockHeader()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.BadBlockHeader | ( |  | ) |
| static private

Here is the caller graph for this function:

## ◆ BlockOverrun()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.BlockOverrun | ( |  | ) |
| static private

Here is the caller graph for this function:

## ◆ BsGetInt32()

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.BsGetInt32 | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ BsGetIntVS()

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.BsGetIntVS | ( | int | numBits | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ BsGetUChar()

char ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.BsGetUChar | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ BsR()

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.BsR | ( | int | n | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ BsSetStream()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.BsSetStream | ( | Stream | stream | ) |
| private

Here is the caller graph for this function:

## ◆ Close()

override void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.Close | ( |  | ) |

Closes the stream, releasing any associated resources.

## ◆ Complete()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.Complete | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ CompressedStreamEOF()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.CompressedStreamEOF | ( |  | ) |
| static private

Here is the caller graph for this function:

## ◆ CrcError()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.CrcError | ( |  | ) |
| static private

Here is the caller graph for this function:

## ◆ EndBlock()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.EndBlock | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ FillBuffer()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.FillBuffer | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Flush()

override void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.Flush | ( |  | ) |

Flushes the stream.

## ◆ GetAndMoveToFrontDecode()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.GetAndMoveToFrontDecode | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ HbCreateDecodeTables()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.HbCreateDecodeTables | ( | int[] | limit,
|  | int[] | baseArray,
|  | int[] | perm,
|  | char[] | length,
|  | int | minLen,
|  | int | maxLen,
|  | int | alphaSize )
| static private

Here is the caller graph for this function:

## ◆ InitBlock()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.InitBlock | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Initialize()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.Initialize | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ MakeMaps()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.MakeMaps | ( |  | ) |
| private

Here is the caller graph for this function:

## ◆ Read()

override int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.Read | ( | byte[] | buffer,
|  | int | offset,
|  | int | count )

Read a sequence of bytes and advances the read position by one byte.

Parameters

  buffer | Array of bytes to store values in
  offset | Offset in array to begin storing data
  count | The maximum number of bytes to read

Returns
  The total number of bytes read into the buffer. This might be less than the number of bytes requested if that number of bytes are not currently available or zero if the end of the stream is reached.

Here is the call graph for this function:

## ◆ ReadByte()

override int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.ReadByte | ( |  | ) |

Read a byte from stream advancing position.

Returns
  byte read or -1 on end of stream

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ RecvDecodingTables()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.RecvDecodingTables | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Seek()

override long ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.Seek | ( | long | offset,
|  | SeekOrigin | origin )

Set the streams position. This operation is not supported and will throw a NotSupportedException.

Parameters

  offset | A byte offset relative to the origin parameter.
  origin | A value of type SeekOrigin indicating the reference point used to obtain the new position.

Returns
  The new position of the stream.

Exceptions

  NotSupportedException | Any access

## ◆ SetDecompressStructureSizes()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.SetDecompressStructureSizes | ( | int | newSize100k | ) |
| private

Here is the caller graph for this function:

## ◆ SetLength()

override void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.SetLength | ( | long | value | ) |

Sets the length of this stream to the given value. This operation is not supported and will throw a NotSupportedExceptionortedException.

Parameters

  value | The new length for the stream.

Exceptions

  NotSupportedException | Any access

## ◆ SetupBlock()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.SetupBlock | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ SetupNoRandPartA()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.SetupNoRandPartA | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ SetupNoRandPartB()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.SetupNoRandPartB | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ SetupNoRandPartC()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.SetupNoRandPartC | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ SetupRandPartA()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.SetupRandPartA | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ SetupRandPartB()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.SetupRandPartB | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ SetupRandPartC()

void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.SetupRandPartC | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Write()

override void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.Write | ( | byte[] | buffer,
|  | int | offset,
|  | int | count )

Writes a block of bytes to this stream using data from a buffer. This operation is not supported and will throw a NotSupportedException.

Parameters

  buffer | The buffer to source data from.
  offset | The offset to start obtaining data from.
  count | The number of bytes of data to write.

Exceptions

  NotSupportedException | Any access

## ◆ WriteByte()

override void ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.WriteByte | ( | byte | value | ) |

Writes a byte to the current position in the file stream. This operation is not supported and will throw a NotSupportedException.

Parameters

  value | The value to write.

Exceptions

  NotSupportedException | Any access

## Member Data Documentation

## ◆ baseArray

int [][] ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.baseArray = new int[BZip2Constants.GroupCount][]
| private

## ◆ baseStream

Stream ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.baseStream
| private

## ◆ blockRandomised

bool ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.blockRandomised
| private

## ◆ blockSize100k

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.blockSize100k
| private

## ◆ bsBuff

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.bsBuff
| private

## ◆ bsLive

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.bsLive
| private

## ◆ ch2

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.ch2
| private

## ◆ chPrev

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.chPrev
| private

## ◆ computedBlockCRC

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.computedBlockCRC
| private

## ◆ computedCombinedCRC

uint ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.computedCombinedCRC
| private

## ◆ count

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.count
| private

## ◆ currentChar

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.currentChar = -1
| private

## ◆ currentState

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.currentState = START_BLOCK_STATE
| private

## ◆ i2

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.i2
| private

## ◆ inUse

bool [] ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.inUse = new bool[256]
| private

## ◆ isStreamOwner

bool ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.isStreamOwner = true
| private

## ◆ j2

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.j2
| private

## ◆ last

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.last
| private

## ◆ limit

int [][] ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.limit = new int[BZip2Constants.GroupCount][]
| private

## ◆ ll8

byte [] ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.ll8
| private

## ◆ mCrc

IChecksum ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.mCrc = new StrangeCRC()
| private

## ◆ minLens

int [] ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.minLens = new int[BZip2Constants.GroupCount]
| private

## ◆ nInUse

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.nInUse
| private

## ◆ NO_RAND_PART_A_STATE

const int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.NO_RAND_PART_A_STATE = 5
| static private

## ◆ NO_RAND_PART_B_STATE

const int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.NO_RAND_PART_B_STATE = 6
| static private

## ◆ NO_RAND_PART_C_STATE

const int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.NO_RAND_PART_C_STATE = 7
| static private

## ◆ origPtr

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.origPtr
| private

## ◆ perm

int [][] ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.perm = new int[BZip2Constants.GroupCount][]
| private

## ◆ RAND_PART_A_STATE

const int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.RAND_PART_A_STATE = 2
| static private

## ◆ RAND_PART_B_STATE

const int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.RAND_PART_B_STATE = 3
| static private

## ◆ RAND_PART_C_STATE

const int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.RAND_PART_C_STATE = 4
| static private

## ◆ rNToGo

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.rNToGo
| private

## ◆ rTPos

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.rTPos
| private

## ◆ selector

byte [] ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.selector = new byte[BZip2Constants.MaximumSelectors]
| private

## ◆ selectorMtf

byte [] ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.selectorMtf = new byte[BZip2Constants.MaximumSelectors]
| private

## ◆ seqToUnseq

byte [] ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.seqToUnseq = new byte[256]
| private

## ◆ START_BLOCK_STATE

const int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.START_BLOCK_STATE = 1
| static private

## ◆ storedBlockCRC

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.storedBlockCRC
| private

## ◆ storedCombinedCRC

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.storedCombinedCRC
| private

## ◆ streamEnd

bool ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.streamEnd
| private

## ◆ tPos

int ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.tPos
| private

## ◆ tt

int [] ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.tt
| private

## ◆ unseqToSeq

byte [] ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.unseqToSeq = new byte[256]
| private

## ◆ unzftab

int [] ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.unzftab = new int[256]
| private

## ◆ z

byte ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.z
| private

## Property Documentation

## ◆ CanRead

override bool ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.CanRead
| get

Gets a value indicating if the stream supports reading.

## ◆ CanSeek

override bool ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.CanSeek
| get

Gets a value indicating whether the current stream supports seeking.

## ◆ CanWrite

override bool ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.CanWrite
| get

Gets a value indicating whether the current stream supports writing. This property always returns false.

## ◆ IsStreamOwner

bool ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.IsStreamOwner
| get set

Get/set flag indicating ownership of underlying stream. When the flag is true Close will close the underlying stream also.

## ◆ Length

override long ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.Length
| get

Gets the length in bytes of the stream.

## ◆ Position

override long ICSharpCode.SharpZipLib.BZip2.BZip2InputStream.Position
| get set

Gets or sets the streams position. Setting the position is not supported and will throw a NotSupportException.

Exceptions

  NotSupportedException | Any attempt to set the position

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/BZip2/BZip2InputStream.cs